Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/listar/ListarEmailsImportantesTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/listar/ListarEmailsImportantesTestCase.java	(revision 3543)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/email/listar/ListarEmailsImportantesTestCase.java	(revision 3592)
@@ -18,15 +18,15 @@
 	 * @throws Exception
 	 */
-	@Test
-	public void testaLerEmailsImportantesSemEmail() throws Exception {
-		super.enterExpressoMail();
-		// Abre uma pasta onde nao existam emails marcados como importante.
-		super.openFolder("lINBOX/Seleniumtree_folders");
-		selenium.click("span_flag_FLAGGED");
-		super.waitForElement("msg_info");
-		assertTrue(getMensagem("pasta.vazia").equals(
-				selenium.getText("msg_info")));
-
-	}
+	// @Test
+	// public void testaLerEmailsImportantesSemEmail() throws Exception {
+	// super.enterExpressoMail();
+	// // Abre uma pasta onde nao existam emails marcados como importante.
+	// super.openFolder("lINBOX/Seleniumtree_folders");
+	// selenium.click("span_flag_FLAGGED");
+	// super.waitForElement("msg_info");
+	// assertTrue(getMensagem("pasta.vazia").equals(
+	// selenium.getText("msg_info")));
+	//
+	// }
 
 	@Test
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/config.properties
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/config.properties	(revision 3592)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/config.properties	(revision 3592)
@@ -0,0 +1,10 @@
+url=https://cte.serpro.gov.br
+user=luiz-fernando.estivalet
+passwd=senha
+#url=https://homologaexpresso.serpro.gov.br
+#user=88758559000
+#passwd=q1w2e3r4
+waitPage=30000
+# timeout em segundos
+timeout=60
+
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/BaseTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/BaseTestCase.java	(revision 3543)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/BaseTestCase.java	(revision 3592)
@@ -24,4 +24,5 @@
  */
 public class BaseTestCase extends SeleneseTestCase {
+	private Properties config;
 	private Properties mensagens;
 	private Properties campos;
@@ -30,13 +31,18 @@
 	@Before
 	public void setUp() throws Exception {
+		this.config = this.load("br/gov/serpro/cte/common/config.properties");
 		this.mensagens = this
 				.load("br/gov/serpro/cte/common/mensagens.properties");
 		this.campos = this.load("br/gov/serpro/cte/common/campos.properties");
 		this.valores = this.load("br/gov/serpro/cte/common/valores.properties");
-		String url = "https://cte.serpro.gov.br";
+		String url = getConfig("url");
 		DAOSelenium conn = new DAOSelenium("localhost", 4444, "*firefox", url);
 		selenium = conn.newConnection();
 	}
 
+	public String getConfig(String key) {
+		return this.config.getProperty(key);
+	}
+
 	public String getMensagem(String key) {
 		return this.mensagens.getProperty(key);
@@ -48,5 +54,5 @@
 
 	public String getCampo(String key, Object... args) {
-		return MessageFormat.format(getCampo("email.responder.todos"), args);
+		return MessageFormat.format(getCampo(key), args);
 	}
 
@@ -67,8 +73,8 @@
 	public void login() {
 		selenium.open("/login.php");
-		selenium.type("user", "luiz-fernando.estivalet");
-		selenium.type("passwd", "senha");
+		selenium.type("user", getConfig("user"));
+		selenium.type("passwd", getConfig("passwd"));
 		selenium.click("submitit");
-		selenium.waitForPageToLoad("30000");
+		selenium.waitForPageToLoad(getConfig("waitPage"));
 	}
 
@@ -78,5 +84,5 @@
 	public void logout() {
 		selenium.click("logout_id");
-		selenium.waitForPageToLoad("30000");
+		selenium.waitForPageToLoad(getConfig("waitPage"));
 	}
 
@@ -120,5 +126,5 @@
 	public void waitForElement(String element, boolean click) throws Exception {
 		for (int second = 0;; second++) {
-			if (second >= 60)
+			if (second >= Integer.parseInt(getConfig("timeout")))
 				fail("timeout");
 			try {
@@ -127,5 +133,5 @@
 			} catch (Exception e) {
 			}
-			Thread.sleep(1000);
+			Thread.sleep(100);
 		}
 		if (click) {
@@ -193,11 +199,8 @@
 
 	private Object createObject(Constructor<?> constructor, Object[] arguments) {
-
-		System.out.println("Constructor: " + constructor.toString());
 		Object object = null;
 
 		try {
 			object = constructor.newInstance(arguments);
-			System.out.println("Object: " + object.toString());
 			return object;
 		} catch (InstantiationException e) {
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/ExpressoMailTestCase.java
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/ExpressoMailTestCase.java	(revision 3543)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/ExpressoMailTestCase.java	(revision 3592)
@@ -356,4 +356,5 @@
 	public void replyEmailWithoutHistory(String id) throws Exception {
 		// Clicar na opcao para responder.
+		selenium.click(getCampo("email.responder.sem.historico", id));
 		selenium.click(getCampo("email.id.responder.sem.historico", id));
 		this.reply(id);
@@ -392,159 +393,3 @@
 		selenium.click(getCampo("email.id.enviar", id));
 	}
-
-	// public enum Mensagem {
-	// PASTA_VAZIA("Esta pasta estÃ¡ vazia"), //
-	// SEM_DESTINATARIO(
-	// "VocÃª deve fornecer pelo menos um endereÃ§o de destinatÃ¡rio de email."),
-	// //
-	// SEM_ASSUNTO("^Enviar esta mensagem sem assunto[\\s\\S]$"), //
-	// EMAIL_ENVIADO("Sua mensagem foi enviada e salva."), //
-	// DESTINATARIO_INVALIDO(
-	// "Erro de SMTP: Os endereÃ§os de destinatÃ¡rio a seguir falharam: bla@"), //
-	// SALVA_RASCUNHO(
-	// "Sua mensagem foi salva como rascunho na pasta Rascunhos."), //
-	// LIMPAR_LIXEIRA(
-	// "^VocÃª tem certeza que deseja limpar sua lixeira[\\s\\S]$"), //
-	// LIXEIRA_LIMPA("Sua pasta Lixeira foi limpa."), //
-	// APAGAR_UMA_MENSAGEM("Mensagem movida para a pasta Lixeira"), //
-	// MARCAR_IMPORTANTE("Mensagem marcada como Importante"), //
-	// MARCAR_NORMAL("Mensagem marcada como Normal"), //
-	// MARCAR_NAO_LIDO("Mensagem marcada como NÃ£o lida"), //
-	// APAGAR_MENSAGEM("Mensagens movidas para pasta Lixeira");
-	// private String value;
-	//
-	// private Mensagem(String value) {
-	// this.value = value;
-	// }
-	//
-	// public String getValue() {
-	// return value;
-	// }
-	//
-	// };
-	//
-	// public enum Campo {
-	// ADICIONAR_ANEXO("link=exact:Anexos: adicionar+"), //
-	// ANEXO_1("inputFile_1_1"), //
-	// ANEXO_2("inputFile_1_2"), //
-	// NOVA_MENSAGEM(
-	// "//table[@id='folders_tbl']/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span"),
-	// //
-	// PARA_1("to_1"), //
-	// ASSUNTO_1("subject_1"), //
-	// ENVIAR_EMAIL_1("send_button_1"), //
-	// CHECKBOX_EMAIL(
-	// "//div[@id='exmail_main_body']/div[@id='content_id_0']/div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[1]/td[1]/input[1]"),
-	// //
-	// CONFIRMACAO_LEITURA("return_receipt_1"), //
-	// IMPORTANTE(
-	// "//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[2]/span[3]"),
-	// //
-	// NORMAL(
-	// "//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[2]/span[3]"),
-	// //
-	// NAO_LIDO(
-	// "//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[2]/span[2]"),
-	// //
-	// IMPORTANTE_CHECKBOX("important_message_1"), //
-	// COPIA_1("a_cc_link_1"), //
-	// SALVAR("save_message_options_1"), //
-	// COPIA_CAMPO_1("cc_1"), //
-	// COPIA_OCULTA_1("a_cco_link_1"), //
-	// COPIA_OCULTA_CAMPO_1("cco_1"), //
-	// PASTA_LIXEIRA("lINBOX/Trashtree_folders"), //
-	// PASTA_ENVIADOS("lINBOX/Senttree_folders"), //
-	// LIMPAR_LIXEIRA("empty_trash"), //
-	// SELECIONAR_TODOS_EMAILS("chk_box_select_all_messages"), //
-	// ENCAMINHAR_EMAIL(
-	// "//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[3]/span[3]"),
-	// //
-	// RESPONDER_EMAIL(
-	// "//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[3]/span[5]"),
-	// //
-	// MOVER_EMAIL("//span[@onclick='wfolders.makeWindow(\"\",\"move_to\")']"),
-	// //
-	// MSG_INFO("msg_info"), //
-	// MENSAGEM("em_div_write_msg");
-	// private String value;
-	//
-	// private Campo(String value) {
-	// this.value = value;
-	// }
-	//
-	// public String getValue() {
-	// return value;
-	// }
-	//
-	// };
-	//
-	// public enum Valor {
-	// EMAIL_TESTE_1("luiz-fernando.estivalet@cte.serpro.gov.br"), //
-	// EMAIL_TESTE_2("luiz.f.estivalet@gmail.com"), //
-	// EMAIL_TESTE_3("luizfernando_estivalet@yahoo.com"), //
-	// EMAIL_INVALIDO("bla"), //
-	// EMAIL_TESTE_MULTIPLOS(
-	// "luiz-fernando.estivalet@cte.serpro.gov.br, luizfernando_estivalet@yahoo.com"),
-	// //
-	// ANEXO_1("/home/luiz/Desktop/arquivo.txt"), //
-	// ANEXO_2("/home/luiz/Desktop/arquivo2.txt"), //
-	// ASSUNTO("[SELENIUM] Teste envio mensagem"), //
-	// ASSUNTO_SALVAR("[SELENIUM] Teste salvar mensagem"), //
-	// ASSUNTO_EMAIL_INVALIDO(
-	// "[SELENIUM] Teste envio mensagem com destinatÃ¡rio invÃ¡lido"), //
-	// ASSUNTO_SEM_DESTINATARIO(
-	// "[SELENIUM] Teste envio mensagem sem destinatÃ¡rio"), //
-	// ASSUNTO_MULTIPLOS_DESTINATARIOS(
-	// "[SELENIUM] Teste mÃºltiplos destinatÃ¡rios"), //
-	// ASSUNTO_ANEXO("[SELENIUM] Teste envio mensagem com anexo"), //
-	// ASSUNTO_IMPORTANTE("[SELENIUM] Teste envio mensagem importante"), //
-	// ASSUNTO_MULTIPLOS_ANEXOS("[SELENIUM] Teste com mÃºltiplos anexos"), //
-	// ASSUNTO_CONFIRMACAO_LEITURA(
-	// "[SELENIUM] Teste com confirmaÃ§Ã£o de leitura"), //
-	// ASSUNTO_COPIA("[SELENIUM] Teste envio mensagem com cÃ³pia"), //
-	// ASSUNTO_COPIA_OCULTA("[SELENIUM] Teste envio mensagem com cÃ³pia oculta"),
-	// ASSUNTO_SOMENTE_COPIA(
-	// "[SELENIUM] Teste envio mensagem somente cÃ³pia"), //
-	// ASSUNTO_SOMENTE_COPIA_OCULTA(
-	// "[SELENIUM] Teste mensagem somente cÃ³pia oculta"), //
-	// TEXTO_EMAIL(
-	// "<p>Email enviado a partir do Selenium!</p><p>Favor ignorar!</p>"), //
-	// TEXTO_EMAIL_CONFIRMACAO_LEITURA(
-	// "<p>Email enviado a partir do Selenium!</p><p>Teste de confirmaÃ§Ã£o de leitura</p><p>Favor ignorar!</p>"),
-	// //
-	// TEXTO_EMAIL_COPIA_OCULTA(
-	// "<p>Email enviado a partir do Selenium!</p><p>Teste de cÃ³pia oculta</p><p>Favor ignorar!</p>"),
-	// //
-	// TEXTO_EMAIL_COPIA(
-	// "<p>Email enviado a partir do Selenium!</p><p>Teste de cÃ³pia</p><p>Favor ignorar!</p>"),
-	// //
-	// TEXTO_EMAIL_IMPORTANTE(
-	// "<p>Email enviado a partir do Selenium!</p><p>Teste de email importante</p><p>Favor ignorar!</p>"),
-	// //
-	// TEXTO_EMAIL_MULTIPLOS_ANEXOS(
-	// "<p>Email enviado a partir do Selenium!</p><p>Teste de email com mÃºltiplos anexos</p><p>Favor ignorar!</p>"),
-	// //
-	// TEXTO_EMAIL_MULTIPLOS_DESTINATARIOS(
-	// "<p>Email enviado a partir do Selenium!</p><p>Teste de email com mÃºltiplos destinatÃ¡rios</p><p>Favor ignorar!</p>"),
-	// //
-	// TEXTO_EMAIL_SEM_ASSUNTO(
-	// "<p>Email enviado a partir do Selenium!</p><p>Teste de email sem assunto</p><p>Favor ignorar!</p>"),
-	// //
-	// TEXTO_EMAIL_SALVO(
-	// "<p>Email enviado a partir do Selenium!</p><p>Teste para salvar um email na pasta rascunhos</p><p>Favor ignorar!</p>"),
-	// //
-	// TEXTO_EMAIL_ANEXO(
-	// "<p>Email enviado a partir do Selenium!</p><p>Teste de anexo</p><p>Favor ignorar!</p>");
-	// private String value;
-	//
-	// private Valor(String value) {
-	// this.value = value;
-	// }
-	//
-	// public String getValue() {
-	// return value;
-	// }
-	//
-	// };
-
 }
Index: devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/campos.properties
===================================================================
--- devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/campos.properties	(revision 3543)
+++ devel/testlink/automation/src/test/java/br/gov/serpro/cte/common/campos.properties	(revision 3592)
@@ -32,10 +32,11 @@
 email.responder.todos=msg_opt_reply_options{0}_r
 email.responder.todos.sem.historico=msg_opt_reply_options{0}_r
+email.responder.sem.historico=msg_opt_reply_options{0}_r
 email.id=//div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[{0}]/td[1]/input[1]@id
 email.id.importante=//div[@id='exmail_main_body']/div[@id='content_id_0']/div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[@id='{0}']/td[5]/img
 email.id.lido=//div[@id='exmail_main_body']/div[@id='content_id_0']/div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[@id='{0}']/td[7]/img@title
-email.id.responder.todos=//span[@onclick='new_message(\"reply_to_all_with_history\",\"{0}_r\");']
-email.id.responder.todos.sem.historico=//span[@onclick='new_message(\"reply_without_history\",\"{0}_r\");']
-email.id.responder.sem.historico=//span[@onclick='new_message(\"reply_without_history\",\"{0}_r\");']
+email.id.responder.todos=//div[@id='''exmail_main_body''']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span[1]
+email.id.responder.todos.sem.historico=//div[@id='''exmail_main_body''']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span[3]
+email.id.responder.sem.historico=//div[@id='''exmail_main_body''']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span[3]
 email.id.para=to{0}
 email.id.enviar=send_button{0}