Index: branches/2.2/mobile/templates/default/cc_main.tpl
===================================================================
--- branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3571)
+++ branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3595)
@@ -1,96 +1,62 @@
-<!-- BEGIN body -->
-<h1>Contatos</h1>
-<hr /><br />
-<form action="index.php?menuaction=mobile.ui_mobilecc.contacts_list" method="post">
+<!-- BEGIN main_body -->
+<div class="menu-contexto">
+<form id="form_catalog" action="index.php" method="post">
+			<span><a name="voltar" href="javascript:history.back()">{lang_back}</a></span><span class="titulo-secao">{lang_contacts}</span>
+			
+			<input type="hidden" name="menuaction" value="mobile.ui_mobilecc.change_catalog">
+			<select name="catalog" onChange="document.getElementById('form_catalog').submit();">
+			
+			{catalogs}
+			</select>
+		</form>
+		</div>
+		
+		<div class="busca"> <form id="formu_busca" action="index.php" method="post">
+		<input type="hidden" name="menuaction" value="mobile.ui_home.search">
+		<input type="hidden" name="catalog_to_search" value="{actual_catalog}">
+		<input type="text" name="name"> 
+		<button name="buscar_contato" class="btn-generico" onClick="document.getElementById('formu_busca').submit()">buscar contato</button>
+		</form>
+		</div>
 
-<table border="0" width="250">
-	<tr>
-		<td width="70"><label for="name">{lang_name}:</label></td>
-		<td><input type="text" id="name" name="name" size="30"/></td>
-	</tr>	
-	<tr>
-		<td width="70"><label for="catalog">{lang_catalog}:</label></td>
-		<td>
-			<select id="catalog" name="catalog">
-				{options}
-			</select>
-		</td>
-	</tr>	
-	<tr>
-		<td align="right" colspan="2"><input type="submit" value="{lang_search}"/></td>
-	</tr>	
+		<dl id="lista_miolo">
+			
+			<dt class="menu-diverso">
+			<div>	
+			<a href="{href_back}" style="display:{show_back};"> < </a>
+			{pagging_letters}
+			<a href="{href_next}" class="btn_off" style="display:{show_next};"> > </a>
+			</div>
+			
+			</dt>
+			<form method="post" action="index.php" id="formu_contacts">
+			<input type="hidden" id="menuaction" name="menuaction" value="mobile.ui_mobilecc.delete_contacts">
+			<input type="hidden" id="catalog" name="catalog" value="{actual_catalog}">			
+			{contacts}
+			</form>
+				
+				
+		</dl>
+
+		<div class="menu-contexto" style="display:{show_more};">
+			<button name="more_messages" title="{lang_more_messages}" class="btn-contexto" onClick="location.href='index.php?menuaction=mobile.ui_mobilecc.change_max_results&results={next_max_results}'">{lang_more} 10 {lang_contacts}</button>
+		</div>
+		
+		<div id="operacao_lista">
+			Selecionados:
+			<button id="remover" class="btn-generico" onClick="document.getElementById('menuaction').value='mobile.ui_mobilecc.delete_contacts';document.getElementById('formu_contacts').submit();">remover</button>
+			<button id="adicionar_contato" class="btn-generico" >adicionar contato</button>
+			
+		</div>
+		
+<!-- END main_body -->	
+		
+<!-- BEGIN catalog_row -->
+ <option value='{catalog_value}' {selected}>{catalog_name}</option>
+<!-- END catalog_row -->
+
+<!-- BEGIN pagging_block -->
 	
-</table>
-</form>
-<!-- TABELA PRINCIPAL DO RESULTADO DA BUSCA -->
-<table border="0" width="90%">
-			<tr bgcolor="{th_theme}">
-				{header}
-			</tr>
-                                {rows}
-</table>
-<table border="0" width="45%">
-	<tr>
-		<td>
-			{back}{pages}{next}
-		</td>
-	</tr>
-</table>
-<!-- FIM TABELA PRINCIPAL DO RESULTADO DA BUSCA -->
-<!-- END body -->
-
-<!-- BEGIN people_header -->
-				<td width="40%" align="center">{lang_people_name}</td>
-				<td width="20%" align="center">{lang_phone}</td>
-				<td width="20%" align="center">{lang_mobile}</td>
-				<td width="20%" align="center">{lang_mail}</td>
-<!-- END people_header -->
-
-<!-- BEGIN group_header -->
-				<td width="60%" align="center">{lang_group_name}</td>
-				<td width="20%" align="center">{lang_title}</td>
-<!-- END group_header -->
-
-<!-- BEGIN row -->
-<form id="cc_form" name="cc_form" method="POST" action="{form_action}">
-	<tr bgcolor="{tr_color}">
-		<td><a href="{form_action}&input_to={row_nome}&input_to_mail={row_email}&type=cc_mob">{row_nome}</a></td>
-		<td align="center">{row_telefone}</td>
-		<td align="center">{row_mobile}</td>
-		<td align="center">{row_email}</td>
-
-	</tr>
-		<input type="hidden" id="input_to" name="input_to" value="{row_nome}" style="display: none;"/>
-		<input type="hidden" id="input_to_mail" name="input_to_mail" value="{row_email}" style="display: none;"/>
-		<input type="hidden" id="input_subject" name="input_subject" value="" style="display: none;"/>
-		<input type="hidden" id="body" name="body" value="" style="display: none;"/>
-		<input type="hidden" id="cc_mob" name="cc_mob" value="1" style="display: none;"/>
-</form>	
-<!-- END row -->
-
-<!-- BEGIN row_group -->
-	<tr bgcolor="{tr_color}">
-		<td>{row_group_name}</td>
-		<td align="center">{row_title}</td>
-	</tr>
-<!-- END row_group -->
-
-<!-- BEGIN row_empty -->
-	<tr>
-		<td align="center"><font color="red"><b>{message}</b></font></td>
-	</tr>
-<!-- END row_empty -->
-
-<!-- BEGIN option -->
-		<option value="{option_value}" {selected}>{option_text}</option>
-<!-- END option -->
-
-<!-- BEGIN page -->
-		<a href="index.php?menuaction=mobile.ui_mobilecc.contacts_list&page={num_page}">
-		{display_page}
-		</a>&nbsp;
-<!-- END page -->
-
-<!-- BEGIN page_no_link -->
-		{num_page}&nbsp;
-<!-- END page_no_link -->
+<a href="{href}" class="{class_button}"> {letter} </a>
+	
+<!-- END pagging_block -->