Index: branches/2.2/mobile/templates/default/calendar.tpl
===================================================================
--- branches/2.2/mobile/templates/default/calendar.tpl	(revision 3590)
+++ branches/2.2/mobile/templates/default/calendar.tpl	(revision 3599)
@@ -32,5 +32,6 @@
 </dt>	
 <dd class="dd-mensagem {dd_class}">
-	<p>{description_data}</p>
+	<p><strong><label>{location_field}:</label></strong> {location_data}</p>
+	<p><strong><label>{description_field}:</label></strong> {description_data}</p>
 </dd>
 <!-- END event_block -->
Index: branches/2.2/mobile/templates/default/add_participants.tpl
===================================================================
--- branches/2.2/mobile/templates/default/add_participants.tpl	(revision 3571)
+++ 	(revision )
@@ -1,105 +1,0 @@
-<!-- BEGIN body -->
-<form action="index.php?menuaction=mobile.ui_mobilecalendar.add_participants" method="post">
-
-<table border="0" width="315">
-			<tr bgcolor="{th_theme}">
-				<td align="center" width="99%">{lang_choose_the_participants}</td>
-			</tr>
-</table>
-<br />
-<table border="0" width="250">
-	<tr>
-		<td width="70">{lang_name}:</td>
-		<td><input type="text" name="name" size="30"/></td>
-	</tr>	
-	<tr>
-		<td width="70">{lang_catalog}:</td>
-		<td>
-			<select name="catalog">
-				{options}
-			</select>
-		</td>
-	</tr>	
-	<tr>
-		<td align="right" colspan="2"><input type="submit" value="{lang_search}"/></td>
-	</tr>	
-	
-</table>
-</form>
-<table border="0" width="99%">
-			<tr bgcolor="{th_theme}">
-				{header}
-			</tr>
-			{rows}
-</table>
-<table border="0" width="45%">
-	<tr>
-		<td>
-			{back} {pages}{next}
-		</td>
-	</tr>
-</table>
-
-<br/><br/>
-<form action="index.php">
-	<input type="hidden" name="menuaction" value="mobile.ui_mobilecalendar.add">
-	<input type="submit" value="{lang_continue_scheduling}">
-</form>
-
-<br/>
-
-
-<b>{lang_already_addeds:}</b> {rows_addeds}
-
-<!-- END body -->
-
-<!-- BEGIN people_header -->
-				<td width="60%" align="center">{lang_people_name}</td>
-				<td width="40%" align="center"></td>
-<!-- END people_header -->
-
-
-<!-- BEGIN row -->
-<form id="cc_form" name="cc_form" method="POST" action="{form_action}">
-	<tr bgcolor="{tr_color}">
-		<td width="60%">{row_nome}</td>
-		<td width="40%" align="center"><a href="{form_action}&user={id_contact}&cn={row_nome}">{lang_select}</a></td>
-
-	</tr>
-		<input type="hidden" id="input_to" name="input_to" value="{row_nome}" style="display: none;"/>
-		<input type="hidden" id="input_to_mail" name="input_to_mail" value="{row_email}" style="display: none;"/>
-		<input type="hidden" id="input_subject" name="input_subject" value="" style="display: none;"/>
-		<input type="hidden" id="body" name="body" value="" style="display: none;"/>
-		<input type="hidden" id="type" name="type" value="cc_mob" style="display: none;"/>
-</form>	
-<!-- END row -->
-
-<!-- BEGIN row_group -->
-	<tr bgcolor="{tr_color}">
-		<td>{row_group_name}</td>
-		<td align="center">{row_title}</td>
-	</tr>
-<!-- END row_group -->
-
-<!-- BEGIN row_empty -->
-	<tr>
-		<td align="center"><font color="red"><b>{message}</b></font></td>
-	</tr>
-<!-- END row_empty -->
-
-<!-- BEGIN option -->
-		<option value="{option_value}" {selected}>{option_text}</option>
-<!-- END option -->
-
-<!-- BEGIN page -->
-		<a href="index.php?menuaction=mobile.ui_mobilecalendar.add_participants&page={num_page}">
-		{display_page}
-		</a>&nbsp;
-<!-- END page -->
-<!-- BEGIN page_no_link -->
-		{num_page}&nbsp;
-<!-- END page_no_link -->
-
-<!-- BEGIN row_addeds -->
-	{row_contact_name}{row_separate}&nbsp;
-<!-- END row_addeds -->
Index: branches/2.2/mobile/templates/default/add_recipients.tpl
===================================================================
--- branches/2.2/mobile/templates/default/add_recipients.tpl	(revision 3571)
+++ 	(revision )
@@ -1,101 +1,0 @@
-<!-- BEGIN body -->
-<form action="index.php?menuaction=mobile.ui_mobilemail.add_recipients" method="post">
-
-<table border="0" width="315">
-			<tr bgcolor="{th_theme}">
-				<td align="center" width="99%">{lang_choose_the_recipients}</td>
-			</tr>
-</table>
-<br />
-<table border="0" width="250">
-	<tr>
-		<td width="70">{lang_name}:</td>
-		<td><input type="text" name="name" size="30"/></td>
-	</tr>	
-	<tr>
-		<td width="70">{lang_catalog}:</td>
-		<td>
-			<select name="catalog">
-				{options}
-			</select>
-		</td>
-	</tr>	
-	<tr>
-		<td align="right" colspan="2"><input type="submit" value="{lang_search}"/></td>
-	</tr>	
-	
-</table>
-</form>
-<table border="0" width="99%">
-			<tr bgcolor="{th_theme}">
-				{header}
-			</tr>
-			{rows}
-</table>
-<table border="0" width="45%">
-	<tr>
-		<td>
-			{back} {pages}{next}
-		</td>
-	</tr>
-</table>
-
-<form action="index.php?menuaction=mobile.ui_mobilemail.new_msg&user_add=true" method="post">
-	<input type="submit" value="{lang_continue}">
-</form>
-
-<b>{lang_already_addeds:}</b> {rows_addeds}
-
-<!-- END body -->
-
-<!-- BEGIN people_header -->
-				<td width="60%" align="center">{lang_people_name}</td>
-				<td width="40%" align="center"></td>
-<!-- END people_header -->
-
-
-<!-- BEGIN row -->
-<form id="cc_form" name="cc_form" method="POST" action="{form_action}">
-	<tr bgcolor="{tr_color}">
-		<td width="60%">{row_nome}</td>
-		<td width="40%" align="center"><a href="{form_action}&user={id_contact}&cn={row_nome}&mail={row_email}">{lang_select}</a></td>
-
-	</tr>
-	
-	<input type="hidden" id="input_to" name="input_to" value="{row_nome}" style="display: none;"/>
-	<input type="hidden" id="input_to_mail" name="input_to_mail" value="{row_email}" style="display: none;"/>
-	<input type="hidden" id="input_subject" name="input_subject" value="" style="display: none;"/>
-	<input type="hidden" id="body" name="body" value="" style="display: none;"/>
-	<input type="hidden" id="type" name="type" value="cc_mob" style="display: none;"/>
-</form>	
-<!-- END row -->
-
-<!-- BEGIN row_group -->
-	<tr bgcolor="{tr_color}">
-		<td>{row_group_name}</td>
-		<td align="center">{row_title}</td>
-	</tr>
-<!-- END row_group -->
-
-<!-- BEGIN row_empty -->
-	<tr>
-		<td align="center"><font color="red"><b>{message}</b></font></td>
-	</tr>
-<!-- END row_empty -->
-
-<!-- BEGIN option -->
-		<option value="{option_value}" {selected}>{option_text}</option>
-<!-- END option -->
-
-<!-- BEGIN page -->
-		<a href="index.php?menuaction=mobile.ui_mobilemail.add_recipients&page={num_page}">
-		{display_page}
-		</a>&nbsp;
-<!-- END page -->
-<!-- BEGIN page_no_link -->
-		{num_page}&nbsp;
-<!-- END page_no_link -->
-
-<!-- BEGIN row_addeds -->
-	{row_contact_name}{row_separate}&nbsp;
-<!-- END row_addeds -->